; LeftTrim

; This is an example of how to use the P_LeftTrim Proc.
; The purpose of the P_LeftTrim Proc is to delete any leading
; spaces from a variable.

; The syntax is:

; targetvar = P_LeftTrim(sourcevar)

; for instance, if the value of a variable called P_Example is
; "     five leading spaces." then a call to P_LeftTrim will
; return a value of "five leading spaces.".

; Sending a value of all spaces will return a null string.
; If a variable contains no leading spaces, then no action is taken.

ReadLib "PALPABLE" P_LeftTrim

P_Example1 = "     five leading spaces."
@ 5, 0 ?? "Before call to P_LeftTrim: ", P_Example1
P_Example1 = P_LeftTrim(P_Example1)
@ 6, 0 ?? " After call to P_LeftTrim: ", P_Example1

P_Example2 = "No leading spaces."
@ 8, 0 ?? "Before call to P_LeftTrim: ", P_Example2
P_Example2 = P_LeftTrim(P_Example2)
@ 9, 0 ?? " After call to P_LeftTrim: ", P_Example2

Sleep 3000

Release Procs P_LeftTrim
